org.jboss.netty.handler.ipfilter

## Class IpV4SubnetFilterRule

- java.lang.Object
- - org.jboss.netty.handler.ipfilter.IpV4Subnet
  - - org.jboss.netty.handler.ipfilter.IpV4SubnetFilterRule

- All Implemented Interfaces:
    Comparable<IpV4Subnet>, IpFilterRule, IpSet

      public class IpV4SubnetFilterRule
      extends IpV4Subnet
      implements IpFilterRule

  IpV4 only Filter Rule

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IpV4SubnetFilterRule(boolean allow)` Constructor for a ALLOW or DENY ALL
    `IpV4SubnetFilterRule(boolean allow, InetAddress inetAddress, int cidrNetMask)`
    `IpV4SubnetFilterRule(boolean allow, InetAddress inetAddress, String netMask)`
    `IpV4SubnetFilterRule(boolean allow, String netAddress)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAllowRule()`
    `boolean` | `isDenyRule()`

    - ### Methods inherited from class org.jboss.netty.handler.ipfilter.IpV4Subnet

      `compareTo, contains, contains, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.netty.handler.ipfilter.IpSet

      `contains`

- - ### Constructor Detail

    - #### IpV4SubnetFilterRule

          public IpV4SubnetFilterRule(boolean allow)

      Constructor for a ALLOW or DENY ALL
      Parameters:
        `allow` - True for ALLOW, False for DENY

    - #### IpV4SubnetFilterRule

          public IpV4SubnetFilterRule(boolean allow,
                              InetAddress inetAddress,
                              int cidrNetMask)

      Parameters:
        `allow` - True for ALLOW, False for DENY

    - #### IpV4SubnetFilterRule

          public IpV4SubnetFilterRule(boolean allow,
                              InetAddress inetAddress,
                              String netMask)

      Parameters:
        `allow` - True for ALLOW, False for DENY

    - #### IpV4SubnetFilterRule

          public IpV4SubnetFilterRule(boolean allow,
                              String netAddress)
                               throws UnknownHostException

      Parameters:
        `allow` - True for ALLOW, False for DENY
      Throws:
        `UnknownHostException`

  - ### Method Detail

    - #### isAllowRule

          public boolean isAllowRule()

      Specified by:
        `isAllowRule` in interface `IpFilterRule`
      Returns:
        True if this Rule is an ALLOW rule

    - #### isDenyRule

          public boolean isDenyRule()

      Specified by:
        `isDenyRule` in interface `IpFilterRule`
      Returns:
        True if this Rule is a DENY rule

Copyright © 2008-2012 The Netty Project. All Rights Reserved.